Bug 472777 - mediatomb in /etc
mediatomb in /etc
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mediatomb (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Wiriadisastra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 10:17 EST by Dominick Grift
Modified: 2009-08-20 13:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 13:19:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2008-11-24 10:17:42 EST
Description of problem:

mediatomb manages its files in /etc/mediatomb and i was wondering if you can use /var/lib instead where possible. 

personally i would prefer /etc/ to be read-only but i understand thats not always possible. 

however after some discussion in #mediatomb i found out that atleast the preferred location for its database is /var/lib, maybe we can also make use of /var/run?
Comment 1 Bug Zapper 2008-11-26 00:51:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marc Wiriadisastra 2008-11-28 18:03:19 EST
Sorry I want to clarify your comments so I understand what you are asking.

Change the database to /var/lib and something about /var/run.

Can you elaborate on the /var/run please?
Comment 3 Dominick Grift 2008-11-30 12:06:17 EST
Well im not sure about how we could use /var/run to solve some of these issues. The main issue is that mediatomb writes to /etc/ and i was suggesting that we could, if needed, use /var/run to solve some of these isue. I think some daemons use that location to manage files that they need to run (not sure)

my main point is lets keep /etc read-only and use /var/lib or any other location that may be better for objects that need to be written to or be created by mediatomb.

Another issue with mediatomb is that the init script touches the mediatomb pid file and that mediatomb itself later writes to it. This issue should be fixed upstream.
Comment 4 Marc Wiriadisastra 2008-12-20 07:36:36 EST
I have spoken to upstream regarding this and his response is below. I'm tending to side with him on this as he is upstream and I don't really like changing things just for Fedora but thoughts would be great.

=============================Response=============================================
As you know, we write the udn into the configuration when the server
is started for the first time. Once that happened we never write to the config
again. Well, not quite true - when updating the server to a new version
we will also perform some config.xml migration.

Now, you can put the config.xml anywhere you like, so if it ends up in
/var on Fedora - so be it. I guess that is really up to you... /etc seems
logical for all configuration related stuff, but if it is a problem to write 
there you can put it some place else.

==================================================================================
Comment 5 Dominick Grift 2009-08-20 13:19:40 EDT
i rest my case: notabug

Note You need to log in before you can comment on or make changes to this bug.